/*---------------------------------------------------------------*/
/*   Copyright (c) 1989 Regents of the University of California  */
/*                 All Rights Reserved                           */
/*---------------------------------------------------------------*/
/*
      %W%  (UCLA, IGPP) %G%
*/
/*-- ffcheck_type -------------------------------------------------
  Checks to see if the given type is a valid supported type
  for the flatfile specifications.

  Entry Requirements:
    type: The type to check.

  Returns:
    FF_SUCCESS is the type is valid
    FF_FAILURE otherwise.

  Development History:
    Begun: 11/13/89 - Todd King
-----------------------------------------------------------------*/
#include "ffio.h"

int 
ffcheck_type (unsigned type)
{
   switch(type) {
     case FF_INT:
     case FF_FLOAT:
     case FF_DOUBLE:
     case FF_TIME:
     case FF_ALPHA:
       return(FF_SUCCESS);
     default:
       return(FF_FAILURE);
  }
}
