/*---------------------------------------------------------------*/
/*   Copyright (c) 1988 Regents of the University of California  */
/*                 All Rights Reserved                           */
/*---------------------------------------------------------------*/
/*
      %W%  (UCLA, IGPP) %G% 
 */

/*-- FLAGTOGGLE ------------------------------
 Toggles the given flag for the given
 column in the descriptor structures.
 Always returns 1.

 Entry requirements:
   FLAG: Flag or composite flag to toggle.
   COL:  Index of column descriptor to
         change.

 NOTE: the column index passed to
       flagtoggle should use zero-indexing.

 Development History
   Begun: 8/10/86 - Marco Zagha
            Under GG44 support.
  Edited:04/14/94 - Gilbert Hyatt
    Now uses pipec.h as entry point
    into the library.
--------------------------------------------*/

#include "pipec.h"

int 
flagtoggle (unsigned int flag, int col)
{
   extern DESC Desc[];

  /* bitwise exclusive OR Desc[col].flags with flag */

   Desc[col].flags ^= flag;
   return (1);
}
